//17October2013 Modified to use new flash library for Davebob shield v2
//21March Modified to take in a byte array before writing to nand
//20Mar2103 Merging of BobDNT200kMarch with Bob Main 
//Code for sensor read left in comments in case later use is desired.
//19mar cutting together with new lm303 choices
//
//15Mar2013 KAL merging of jacob's FlashLibraryTest and peter's BobDnt200

// inslude the SPI library:
#include <Flash.h>
#include <SPI.h>
#include <Serial.h>
#include <EEPROM.h>

// Specify DNT pins
#define DNT_SLEEP 7 // Active High
#define DNT_RST 6 // Active Low
#define DNT_RTS 5 // Active High
#define DNT_CTS 4 // Set as input
#define DNT_RX 1
#define DNT_TX 0

Flash* nandFlash;

void setup() 
{
  // Configure DNT pins
  pinMode(DNT_TX, OUTPUT);
  pinMode(DNT_RST, OUTPUT);
  digitalWrite(DNT_RST, LOW);
  digitalWrite(DNT_TX, LOW);
  delay(200);
  digitalWrite(DNT_RST, HIGH);
  delay(200);
  pinMode(DNT_TX, INPUT);
  
  pinMode(DNT_SLEEP, OUTPUT);
//  pinMode(DNT_RST, OUTPUT);
  pinMode(DNT_RTS, OUTPUT);
  pinMode(DNT_CTS, INPUT);
  pinMode(DNT_RX, OUTPUT);
//  pinMode(DNT_TX, INPUT);
  
  digitalWrite(DNT_SLEEP, LOW);
//  digitalWrite(DNT_RST, HIGH);
  digitalWrite(DNT_RTS, LOW);
  digitalWrite(DNT_CTS, LOW); // disable pullups

  delay(1000);
  Serial.begin(115200);
  
  nandFlash = new Flash(true, false); // Flash(enable_write, restart_address_counter)

  delay(1000);
}

void loop() 
{
  byte in;
  while(1)
  {
     if (Serial.available() > 0) 
     {
       in = Serial.read();
       nandFlash->writeBytes(&in,1);
     }
  }
}
